DefaultCsiAdaptorImpl (Apache Hadoop YARN CSI 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.csi.adaptor, class: DefaultCsiAdaptorImpl

Package org.apache.hadoop.yarn.csi.adaptor

# Class DefaultCsiAdaptorImpl

java.lang.Object
org.apache.hadoop.yarn.csi.adaptor.DefaultCsiAdaptorImpl

All Implemented Interfaces:
  `org.apache.hadoop.yarn.api.CsiAdaptorPlugin`, `org.apache.hadoop.yarn.api.CsiAdaptorProtocol`

public class DefaultCsiAdaptorImpl extends Object implements org.apache.hadoop.yarn.api.CsiAdaptorPlugin
The default implementation of csi-driver-adaptor service.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCsiAdaptorImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDriverName()`
  `org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse`
  `getPluginInfo(org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoRequest request)`
  `void`
  `init(String driverName, org.apache.hadoop.conf.Configuration conf)`
  `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeResponse`
  `nodePublishVolume(org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.NodeUnpublishVolumeResponse`
  `nodeUnpublishVolume(org.apache.hadoop.yarn.api.protocolrecords.NodeUnpublishVolumeRequest request)`
  `org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse`
  `validateVolumeCapacity(org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultCsiAdaptorImpl

    public DefaultCsiAdaptorImpl()

- ## Method Details

  - ### init

    public void init(String driverName, org.apache.hadoop.conf.Configuration conf) throws org.apache.hadoop.yarn.exceptions.YarnException
    Specified by:
      `init` in interface `org.apache.hadoop.yarn.api.CsiAdaptorPlugin`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`

  - ### getDriverName

    public String getDriverName()
    Specified by:
      `getDriverName` in interface `org.apache.hadoop.yarn.api.CsiAdaptorPlugin`

  - ### getPluginInfo

    public org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoResponse getPluginInfo(org.apache.hadoop.yarn.api.protocolrecords.GetPluginInfoRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `getPluginInfo` in interface `org.apache.hadoop.yarn.api.CsiAdaptorProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### validateVolumeCapacity

    public org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesResponse validateVolumeCapacity(org.apache.hadoop.yarn.api.protocolrecords.ValidateVolumeCapabilitiesRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `validateVolumeCapacity` in interface `org.apache.hadoop.yarn.api.CsiAdaptorProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### nodePublishVolume

    public org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeResponse nodePublishVolume(org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `nodePublishVolume` in interface `org.apache.hadoop.yarn.api.CsiAdaptorProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`

  - ### nodeUnpublishVolume

    public org.apache.hadoop.yarn.api.protocolrecords.NodeUnpublishVolumeResponse nodeUnpublishVolume(org.apache.hadoop.yarn.api.protocolrecords.NodeUnpublishVolumeRequest request) throws org.apache.hadoop.yarn.exceptions.YarnException, IOException
    Specified by:
      `nodeUnpublishVolume` in interface `org.apache.hadoop.yarn.api.CsiAdaptorProtocol`
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`
      `IOException`